"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadProblem = exports.Pull = exports.New = void 0;
const leetcode_api_typescript_1 = require("leetcode-api-typescript");
const ProblemUtils = __importStar(require("./problem"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
async function New(slug, dst) {
    const contest = await leetcode_api_typescript_1.Contest.build(slug);
    const problems = await contest.getProblems();
    dst = path_1.default.join(dst, String(slug.split("-").slice(-1)[0]));
    fs_1.default.mkdirSync(dst, { recursive: true });
    DownloadProblem(problems, dst);
}
exports.New = New;
async function Pull(slug, dst) {
    const contest = await leetcode_api_typescript_1.Contest.build(slug);
    const problems = await contest.getProblems();
    DownloadProblem(problems, dst);
}
exports.Pull = Pull;
async function DownloadProblem(problems, dst) {
    for (const ix in problems) {
        const pId = String.fromCharCode("a".charCodeAt(0) + Number(ix));
        const p = problems[ix];
        const targetDir = path_1.default.join(dst, pId);
        if (!fs_1.default.existsSync(targetDir)) {
            fs_1.default.mkdirSync(targetDir);
        }
        ProblemUtils.DownloadProblem(p, targetDir);
    }
}
exports.DownloadProblem = DownloadProblem;
//# sourceMappingURL=contest.js.map