"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeTemplateReplaceContent = exports.CodeTemplateFileName = exports.SolutionFileName = exports.TutorialFileName = exports.StatementFileName = exports.LocaleText = exports.LocaleEnum = void 0;
const leetcode_api_typescript_1 = require("leetcode-api-typescript");
var LocaleEnum;
(function (LocaleEnum) {
    LocaleEnum["zh_CN"] = "zh_CN";
    LocaleEnum["en_US"] = "en_US";
})(LocaleEnum = exports.LocaleEnum || (exports.LocaleEnum = {}));
exports.LocaleText = {
    [LocaleEnum.zh_CN]: "简体中文",
    [LocaleEnum.en_US]: "English",
};
const StatementFileNamePrefix = "statement";
const TutorialFileNamePrefix = "tutorial";
const SolutionFileNamePrefix = "solution";
function StatementFileName(locale) {
    return `${StatementFileNamePrefix}.${locale}.md`;
}
exports.StatementFileName = StatementFileName;
function TutorialFileName(locale, idx) {
    return `${TutorialFileNamePrefix}${idx}.${locale}.md`;
}
exports.TutorialFileName = TutorialFileName;
function SolutionFileName(langSlug, idx, options) {
    const prefix = options?.fileName ?? SolutionFileNamePrefix;
    return `${prefix}${idx}.${(0, leetcode_api_typescript_1.LangExt)(langSlug)}`;
}
exports.SolutionFileName = SolutionFileName;
function CodeTemplateFileName(langSlug) {
    return `${SolutionFileNamePrefix}-${leetcode_api_typescript_1.LangSlug[langSlug]}.${(0, leetcode_api_typescript_1.LangExt)(langSlug)}`;
}
exports.CodeTemplateFileName = CodeTemplateFileName;
function CodeTemplateReplaceContent(langSlug) {
    switch (langSlug) {
        case leetcode_api_typescript_1.LangSlug.c:
        case leetcode_api_typescript_1.LangSlug.cpp:
        case leetcode_api_typescript_1.LangSlug.golang:
        case leetcode_api_typescript_1.LangSlug.java:
        case leetcode_api_typescript_1.LangSlug.javascript:
        case leetcode_api_typescript_1.LangSlug.typescript:
            return "// solution class";
        case leetcode_api_typescript_1.LangSlug.python:
        case leetcode_api_typescript_1.LangSlug.python3:
            return "# solution class";
        default:
            return "";
    }
}
exports.CodeTemplateReplaceContent = CodeTemplateReplaceContent;
//# sourceMappingURL=interface.js.map